FROM python:3.8

RUN apt-get update -y 
RUN pip install --no-cache-dir -U pip \
    && python -m pip install --upgrade build  

COPY requirements.txt ./requirements.txt
RUN pip install --no-cache-dir -r requirements.txt


ENV PRODUCTION true
ENV CUSTOM_MODEL_DIR custom_model
ENV DATASET_DIR dataset
ENV ANNOTATION_FILE_NAME _annotations.coco.json

WORKDIR /home/databroker

RUN ls

COPY main.py app.py config.py logger.py s3_func.py model.proto model_pb2.py model_pb2_grpc.py detr_databroker_server.py ./
COPY static ./static
COPY templates ./templates


ENTRYPOINT [ "python","main.py" ]
#python /home/databroker/main.py -gp 9501 -hp 8501 -f /p/home/jusers/hezarkhani1/juwels/testrun2